SonicWALL Mobile Connect

SonicWALL Mobile Connect


SonicWALL Mobile Connect requires Android 4.0 (Ice Cream Sandwich) or higher.

SonicWALL® Mobile Connect™ provides users full network-level access to corporate and academic resources over encrypted SSL VPN connections. The client provides anytime, anywhere access to critical applications such as email, virtual desktop sessions and other Android applications.

REQUIREMENTS:
SonicWALL Mobile Connect is a free app, but requires a concurrent user license on one of the following SonicWALL solutions in order to function properly:

• SonicWALL Aventail E-Class Secure Remote Access (SRA) appliances running 10.5.4 or higher.

• SonicWALL SRA appliances running 5.5 or higher.

• SonicWALL Next-Generation Firewall appliances including the TZ, NSA, E-Class NSA running SonicOS 5.8.1.0 or higher.


For more information on SonicWALL SSL VPN and Next-Generation Firewall solutions, please visit www.sonicwall.com.

Recent changes:
Mobile Connect 3.1.10 resolves the following issues:

• OpenSSL – October 2014 security fixes including CVE-2014-3566
• Android 5.0 specific bug fixes
• Additional bug fixes

Please see the release notes on the SonicWALL web site for more information.
Add to list
Free
81
4.1
User ratings
736
Installs
100,000+
Concerns
1
File size
7122 kb
Screenshots
Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect Screenshot of SonicWALL Mobile Connect
About SonicWALL Mobile Connect
SonicWALL Mobile Connect requires Android 4.0 (Ice Cream Sandwich) or higher.

SonicWALL® Mobile Connect™ provides users full network-level access to corporate and academic resources over encrypted SSL VPN connections. The client provides anytime, anywhere access to critical applications such as email, virtual desktop sessions and other Android applications.

REQUIREMENTS:
SonicWALL Mobile Connect is a free app, but requires a concurrent user license on one of the following SonicWALL solutions in order to function properly:

• SonicWALL Aventail E-Class Secure Remote Access (SRA) appliances running 10.5.4 or higher.

• SonicWALL SRA appliances running 5.5 or higher.

• SonicWALL Next-Generation Firewall appliances including the TZ, NSA, E-Class NSA running SonicOS 5.8.1.0 or higher.


For more information on SonicWALL SSL VPN and Next-Generation Firewall solutions, please visit www.sonicwall.com.

Recent changes:
Mobile Connect 3.1.10 resolves the following issues:

• OpenSSL – October 2014 security fixes including CVE-2014-3566
• Android 5.0 specific bug fixes
• Additional bug fixes

Please see the release notes on the SonicWALL web site for more information.

User reviews of SonicWALL Mobile Connect
Write the first review for this app!
Android Market Comments
A Google User
Saturday 4:13 AM
ip where can i get ip.adress?
A Google User
Dec 30, 2014
Not wrking Kindly telk me how to use.. I allready given autentication detais . But it is not gettig connect to network
A Google User
Dec 26, 2014
Works well Use it almost daily to jump on the work network while off site. Haven't had any issues with the app and have been using it since it the Android update that stopped requiring rooting (on multiple devices).
A Google User
Dec 22, 2014
Unable to Connect I'm unable to connect to my sonicwall device. After entering my device IP address, access denied - contact your administrator error is being displayed... Please help
A Google User
Dec 18, 2014
problem with android 4.0.4 it doesn't work with this android version but work with newer version